Subject: Re: linux-next: build failure after merge of the block tree

From: Christoph Hellwig <[email-masked]>
Date: Thu, 3 Dec 2015 17:42:59 +0100

On Thu, Dec 03, 2015 at 12:07:23PM +0100, Matias Bjørling wrote:
> What is the reason to keep the nvme_ns internally to the nvme core?
>
> We can definitely move ->nsid and the lba_shift into nvm_dev. Only thing I 
> have is that it moves a small part of nvme logic into the lightnvm core.

It's a structure specific to the NVM command set, and the block device
use to implement it in Linux.  Similar to how you wouldn't use the SCSI
disk driver data structures to implement the tape driver for example.